Page Summary
-
This document describes the
getPayeeProxyDisplayInfoAPI, which retrieves display data (e.g., display name) associated with a specific proxy key for payment purposes. -
The API request requires a
requestHeaderand aproxyKey(e.g., phone number), and optionally anassociationIdif initiated by an in-session user. -
The API response includes a
responseHeaderand adisplayInfoResultindicating success or failure of the lookup. -
Upon success, the response provides
displayInfocontaining registered display data for the proxy key, such asdisplayName. -
Failure to retrieve display information is indicated by a
failureReason, which could be due to the proxy key not being registered.
- HTTP request
- Request body
- Response body
- GetPayeeProxyDisplayInfoResponse
- GetPayeeProxyDisplayInfoResult
- PayeeProxyDisplayInfoSuccess
- PayeeProxyDisplayInfo
- PayeeProxyDisplayInfoFailure
- PayeeProxyDisplayInfoFailureReason
Returns the display data that has been registered for the specified proxy key (e.g. display name to be shown before payment)
An example request looks like:
{
"requestHeader": {
"protocolVersion": {
"major": 2
},
"requestId": "bWVyY2hhbnQgdHJhbnNhY3Rpb24gaWQ",
"requestTimestamp": {
"epochMillis": "1502220196077"
},
"paymentIntegratorAccountId": "InvisiCashUSA_USD"
},
"proxyKey": {
"phoneNumber": "+001234567890"
}
}
An example response looks like:
{
"responseHeader": {
"responseTimestamp": {
"epochMillis": "1481900013178"
}
},
"displayInfoResult": {
"success": {
"displayInfo": {
"displayName": "Sam Payee"
}
}
}
}
HTTP request
POST https://www.integratorhost.example.com/integrator-base-path/v2/getPayeeProxyDisplayInfo
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "requestHeader": { object ( |
| Fields | |
|---|---|
requestHeader |
REQUIRED: Common header for all requests. |
proxyKey |
REQUIRED: The proxy key for which the display information is being requested. |
associationId |
OPTIONAL: The ID that represents the association between a customer's Google Account and a customer's account with the vendor. Only present if the request is initiated by a user in-session. |
Response body
This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an ErrorResponse, consult the ErrorResponse object and HTTP status codes documentation.
| Possible response messages | |
|---|---|
| HTTP 200 Status |
|
| HTTP 4XX / 5XX Status |
|
| End of mutually exclusive fields. | |
GetPayeeProxyDisplayInfoResponse
Response object for the banking-fop-v2.getPayeeProxyDisplayInfo method
| JSON representation |
|---|
{ "responseHeader": { object ( |
| Fields | |
|---|---|
responseHeader |
REQUIRED: Common header for all responses. |
displayInfoResult |
REQUIRED: Success/failure result of GetPayeeProxyDisplayInfoResponse. |
GetPayeeProxyDisplayInfoResult
The result codes for the banking-fop-v2.getPayeeProxyDisplayInfo call.
| JSON representation |
|---|
{ // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "success": { object ( |
| Fields | |
|---|---|
| REQUIRED: The result of the GetPayeeProxyDisplayInfo call. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
success |
The display info was found for the PayeeProxyKey. |
failure |
The display info lookup failed. |
| End of mutually exclusive fields. | |
PayeeProxyDisplayInfoSuccess
Message that contains the details of a successful display information query.
| JSON representation |
|---|
{
"displayInfo": {
object ( |
| Fields | |
|---|---|
displayInfo |
REQUIRED: Display information for the Proxy Key. |
PayeeProxyDisplayInfo
Data that is meant for display and has been registered for a given PayeeProxyKey.
| JSON representation |
|---|
{ // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "displayName": string // End of mutually exclusive fields. } |
| Fields | |
|---|---|
| REQUIRED: Display information for the Proxy Key. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
displayName |
Name that has been registered for display with the PayeeProxy. |
| End of mutually exclusive fields. | |
PayeeProxyDisplayInfoFailure
Message that contains the details of a failed display information query.
| JSON representation |
|---|
{
"failureReason": enum ( |
| Fields | |
|---|---|
failureReason |
REQUIRED: The reason for the failure. |
PayeeProxyDisplayInfoFailureReason
Reason for a failure to lookup display information.
| Enums | |
|---|---|
PAYEE_PROXY_DISPLAY_INFO_FAILURE_REASON_UNSPECIFIED |
Do not ever set this default value! |
PROXY_KEY_NOT_REGISTERED |
The specified proxy key was not registered and thus no display information could be returned. |